[linux-dvb] No frontend with skystar2/pci and dvb-t stick

Oliver Endriss o.endriss at gmx.de
Thu Dec 28 18:46:59 CET 2006


Eric Dujardin wrote:
> Hello all,
> 
> I am trying to get my dvb-t stick to work, but I'm having troubles with 
> frontends.
> 
> First I also have a Skystar-2 PCI adapter which has been working well 
> for some time, running
> kernel 2.6.17 (gentoo).
> 
> The USB stick is an Atopia AT-TV-USB3. It seems to be very close to a 
> Dibcom reference design.
> 
> I recently built a 2.6.19-r2 kernel for it, added my stick's vid/pid and 
> managed to load the firmware,
> but in the end I had no frontend:
> Dec 27 23:33:44 bouleau dvb-usb: no frontend was attached by 'Atopia 
> AT-TV-USB3'
> 
> At that point my SS-2 was still fine:
> Dec 27 23:24:28 bouleau DVB: registering new adapter (FlexCop Digital TV 
> device).
> Dec 27 23:24:28 bouleau b2c2-flexcop: MAC address = 00:d0:d7:0d:f3:09
> Dec 27 23:24:28 bouleau b2c2-flexcop: found the stv0299 at i2c address: 0x68
> Dec 27 23:24:28 bouleau DVB: registering frontend 0 (ST STV0299 DVB-S)...
> Dec 27 23:24:28 bouleau b2c2-flexcop: initialization of 'Sky2PC/SkyStar 
> 2 DVB-S' at the 'PCI' bus controlled by a 'FlexCopIIb' complete
> 
> So I tried this morning's mercury snapshot, which has an enhanced 
> stk7700p_frontend_attach(),
> did make and make install, but now I have no frontend at all. I even 
> tried to explicitely load
> the stv0299 module, with no success:
> 
> Dec 28 16:41:18 bouleau b2c2-flexcop: B2C2 FlexcopII/II(b)/III digital 
> TV receiver chip loaded successfully
> Dec 28 16:41:18 bouleau flexcop-pci: will use the HW PID filter.   
> Dec 28 16:41:18 bouleau flexcop-pci: card revision 2
> Dec 28 16:41:18 bouleau ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 17 
> (level, low) -> IRQ 17
> Dec 28 16:41:18 bouleau DVB: registering new adapter (FlexCop Digital TV 
> device).
> Dec 28 16:41:18 bouleau b2c2-flexcop: MAC address = 00:d0:d7:0d:f3:09
> Dec 28 16:41:18 bouleau DVB: Unable to find symbol stv0299_attach()

Obviously module stv0299 has not been loaded...

> I also tried the 20061209 snapshot with the same results.
> 
> I'm not sure if there's a real problem here, of if it's just me not 
> using the v4l package as it should.
> 
> Some context finally: arch is x86_64, with glibc 2.4-r3 and gcc -v says:
> Thread model: posix
> gcc version 3.4.6 (Gentoo 3.4.6-r1, ssp-3.4.5-1.0, pie-8.7.9)

Try to load the frontend driver before you load the card driver.

Oliver

-- 
--------------------------------------------------------
VDR Remote Plugin 0.3.9 available at
http://www.escape-edv.de/endriss/vdr/
--------------------------------------------------------




More information about the linux-dvb mailing list